var _a;
import "@nativescript/macos-node-api";
import { openColorDialog } from "../../dialogs/color/color-dialog";
import { NativeButton } from "../button/native-button";
import { Event } from "../../dom/dom-utils";
export class ColorChosenEvent extends Event {
    constructor(color, eventDict) {
        super("colorChosen", eventDict);
        this.color = color;
    }
}
export class NativeColorOpenButton extends NativeButton {
    static initWithOwner(owner) {
        const button = _a.new();
        button._owner = owner;
        return button;
    }
    clicked(_id) {
        const owner = this._owner?.deref();
        if (owner) {
            openColorDialog(owner.options || {})
                .then((result) => {
                owner.dispatchEvent(new ColorChosenEvent(result));
            })
                .catch((err) => {
                console.error(err);
            });
        }
    }
}
_a = NativeColorOpenButton;
NativeColorOpenButton.ObjCExposedMethods = {
    clicked: { returns: interop.types.void, params: [interop.types.id] },
};
(() => {
    NativeClass(_a);
})();
//# sourceMappingURL=native-coloropenbutton.js.map