import { native } from "../decorators/native";
import { view } from "../decorators/view";
import { ViewBase } from "../view/view-base";
import { NativeComboBox, NativeComboBoxDelegate } from "./native-combobox";
const ItemsProperty = {
    setNative: (view, _key, value) => {
        if (view.nativeView) {
            view.nativeView.setItems(value);
        }
    },
    shouldLayout: true,
};
let ComboBox = class ComboBox extends ViewBase {
    get isLeaf() {
        return true;
    }
    initNativeView() {
        this.nativeView = NativeComboBox.initWithOwner(new WeakRef(this));
        this.delegate = NativeComboBoxDelegate.initWithOwner(new WeakRef(this.nativeView));
        this.nativeView.delegate = this.delegate;
        this.nativeView.bezelStyle = NSTextFieldBezelStyle.Rounded;
        return this.nativeView;
    }
};
__decorate([
    native(ItemsProperty),
    __metadata("design:type", Array)
], ComboBox.prototype, "items", void 0);
ComboBox = __decorate([
    view({
        name: "HTMLElement",
        tagName: "combobox",
    })
], ComboBox);
export { ComboBox };
//# sourceMappingURL=combobox.js.map