var _a;
import "@nativescript/macos-node-api";
import { saveFileDialog } from "../../dialogs/file/file-dialog";
import { NativeButton } from "../button/native-button";
import { Event } from "../../dom/dom-utils";
export class FileSaveEvent extends Event {
    constructor(path, eventDict) {
        super("fileSave", eventDict);
        this.path = path;
    }
}
export class NativeFileSaveButton extends NativeButton {
    static initWithOwner(owner) {
        const button = _a.new();
        button._owner = owner;
        return button;
    }
    clicked(_id) {
        const owner = this._owner?.deref();
        if (owner) {
            saveFileDialog(owner.options || {})
                .then((result) => {
                owner.dispatchEvent(new FileSaveEvent(result));
            })
                .catch((err) => {
                console.error(err);
            });
        }
    }
}
_a = NativeFileSaveButton;
NativeFileSaveButton.ObjCExposedMethods = {
    clicked: { returns: interop.types.void, params: [interop.types.id] },
};
(() => {
    NativeClass(_a);
})();
//# sourceMappingURL=native-filesavebutton.js.map