var _a;
import "@nativescript/macos-node-api";
import { view } from "../decorators/view";
import { View } from "../view/view";
export class NSScrollViewAutoResizable extends NSScrollView {
    viewDidMoveToSuperview() {
        if (!this.superview) {
            return;
        }
        NSLayoutConstraint.activateConstraints([
            this.topAnchor.constraintEqualToAnchor(this.superview.topAnchor),
            this.bottomAnchor.constraintEqualToAnchor(this.superview.bottomAnchor),
            this.leadingAnchor.constraintEqualToAnchor(this.superview.leadingAnchor),
            this.trailingAnchor.constraintEqualToAnchor(this.superview.trailingAnchor),
        ]);
    }
}
_a = NSScrollViewAutoResizable;
(() => {
    NativeClass(_a);
})();
let ScrollView = class ScrollView extends View {
    constructor() {
        super(...arguments);
        this.nativeView = undefined;
    }
    initNativeView() {
        this.nativeView = NSScrollViewAutoResizable.new();
        this.nativeView.hasVerticalScroller = true;
        this.nativeView.hasHorizontalScroller = false;
        this.nativeView.drawsBackground = false;
        this.nativeView.translatesAutoresizingMaskIntoConstraints = false;
        return this.nativeView;
    }
    addNativeChild(child) {
        this.nativeView.documentView = child.nativeView;
    }
    removeNativeChild(_child) {
        this.nativeView.documentView = null;
    }
};
ScrollView = __decorate([
    view({
        name: "HTMLScrollViewElement",
        tagName: "scroll-view",
    })
], ScrollView);
export { ScrollView };
//# sourceMappingURL=scroll-view.js.map