var _a;
import "@nativescript/macos-node-api";
export class SplitViewController extends NSSplitViewController {
    viewDidLayout() {
        super.viewDidLayout();
        this?.resizeSubViews();
    }
    animatePresentationOfViewControllerFromViewController(viewController, fromViewController) {
        fromViewController.view.addSubview(viewController.view);
        viewController.view.alphaValue = 1.0;
        viewController.view.frame = fromViewController.view.frame;
        viewController.view.autoresizesSubviews = true;
        this.resizeSubViews();
    }
    animateDismissalOfViewControllerFromViewController(viewController, _fromViewController) {
        // Animate to the final state
        viewController.view.animator().alphaValue = 0.0;
        viewController.view.removeFromSuperview();
    }
    splitViewDidResizeSubviews(_notification) {
        this?.resizeSubViews();
    }
    resizeSubViews() {
        const owner = this._owner?.deref();
        let child = owner?.firstChild;
        while (child) {
            child.adjustSize();
            child = child.nextSibling;
        }
    }
}
_a = SplitViewController;
SplitViewController.ObjCProtocols = [
    NSSplitViewDelegate,
    NSViewControllerPresentationAnimator,
];
(() => {
    NativeClass(_a);
})();
//# sourceMappingURL=split-view-controller.js.map