import { ViewBase } from "../view/view-base";
import type { ContentList } from "./content-list";
import type { SideBar } from "./sidebar";
import { SplitViewController } from "./split-view-controller";
export default class SplitView extends ViewBase {
    viewController?: SplitViewController;
    nativeView?: NSSplitView;
    isPresented: boolean;
    /**
     * SplitView is instead added as a subview to the current viewController's view.
     */
    shouldAttachToParentNativeView: boolean;
    _isEnabled: boolean;
    initNativeView(): NSSplitView | undefined;
    addNativeChild(child: SideBar | ContentList): void;
    removeNativeChild(child: SideBar | ContentList): void;
    insertBefore<T extends Node>(node: T, child: Node | null): T;
    applyLayout(): void;
    connectedCallback(): void;
    presentViewController(): void;
    vertical: boolean;
}
