import type { NativePropertyConfig } from "../decorators/native";
import { TextBase } from "./text-base";
declare class PaddingTextFieldCell extends NSTextFieldCell {
    paddingTop: number;
    paddingLeft: number;
    paddingBottom: number;
    paddingRight: number;
    cellSizeForBounds(forBounds: CGRect): CGSize;
    titleRectForBounds(forBounds: CGRect): CGRect;
    editWithFrameInViewEditorDelegateEvent(rect: CGRect, controlView: NSView, textObj: NSText, delegate: interop.Object | null, event: NSEvent | null): void;
    selectWithFrameInViewEditorDelegateStartLength(rect: CGRect, controlView: NSView, textObj: NSText, delegate: interop.Object | null, selStart: number, selLength: number): void;
    drawInteriorWithFrameInView(cellFrame: CGRect, controlView: NSView): void;
}
export declare class Text extends TextBase {
    nativeView?: NSTextField;
    nativeCell?: PaddingTextFieldCell;
    initNativeView(): NSTextField;
    prepareNativeView(nativeView: NSTextField): void;
    updateTextContent(): void;
    connectedCallback(): void;
    setPadding(_key: string, value: number, _config: NativePropertyConfig<number>): void;
    setPaddingTop(_key: string, value: number, _config: NativePropertyConfig<number>): void;
    setPaddingRight(_key: string, value: number, _config: NativePropertyConfig<number>): void;
    setPaddingBottom(_key: string, value: number, _config: NativePropertyConfig<number>): void;
    setPaddingLeft(_key: string, value: number, _config: NativePropertyConfig<number>): void;
}
export {};
