import "@nativescript/macos-node-api";
import { ViewBase } from "../view/view-base";
import type { ToolbarItem } from "./toolbar-item";
import type { ToolbarToggleSidebar } from "./toolbar-toggle-sidebar";
import type { ToolbarSidebarTrackingSeparator } from "./toolbar-sidebar-tracking-separator";
declare class ToolbarDelegate extends NSObject implements NSToolbarDelegate {
    static ObjCProtocols: (typeof NSToolbarDelegate)[];
    items: NSToolbarItem[];
    _owner: WeakRef<Toolbar> | undefined;
    static initWithOwner(owner: WeakRef<Toolbar>): ToolbarDelegate;
    validateToolbarItem(_item: NSToolbarItem): boolean;
    toolbarItemForItemIdentifierWillBeInsertedIntoToolbar(_toolbar: NSToolbar, itemIdentifier: string, _flag: boolean): NSToolbarItem;
    toolbarDefaultItemIdentifiers(_toolbar: NSToolbar): NSArray;
    toolbarAllowedItemIdentifiers(toolbar: NSToolbar): NSArray;
}
export declare class Toolbar extends ViewBase {
    _isEnabled: boolean;
    nativeView?: NSToolbar;
    toolbarDelegate?: ToolbarDelegate;
    initNativeView(): NSToolbar | undefined;
    disposeNativeView(): void;
    reloadToolbar(): void;
    addNativeChild(child: ToolbarItem | ToolbarToggleSidebar | ToolbarSidebarTrackingSeparator): void;
    removeNativeChild(child: any): void;
}
export {};
